These are chat archives for peatio/peatio

22nd
Jan 2018
Ricky Gu
@rickygu
Jan 22 00:31
there is no mina-slack-0.1.0 tag in the mina-slack repo
only 0.0.3
bundle lock was locked to a version that didn't exist
bundle update mina-slack will fix it
and lock it to 0.0.3
I'm getting this error when loading the schema: ’Mysql2::Error: Table ‘peatio_development.documents’ doesn’t exist’
anyone seen this before?
Ricky Gu
@rickygu
Jan 22 00:55
quick google says it might be problem with factory_girl trying to load the document table
before the table is created
John Gavin Malkovich
@TheRealJohnMalkovich
Jan 22 01:14
Hey guys, are there any companies out there doing peotio implantations?
Sorry I mean implementation.
If so I would love to have a private conversion about your offering.
Ricky Gu
@rickygu
Jan 22 01:49
I got rubykube's branch working but scatterp's branch would fail on db:setup
which fork is better?
Ricky Gu
@rickygu
Jan 22 01:58
i guess since i can't get scatterp to run
scatterp2
@scatterp2
Jan 22 02:00
rikygu
whats up
mine by a long way
Ricky Gu
@rickygu
Jan 22 02:00
hey scatterp
scatterp2
@scatterp2
Jan 22 02:00
if db:setup failed you didnt follow setup properly
did you use source peatio to install
Ricky Gu
@rickygu
Jan 22 02:01
i followed setup-local-osx.md
step by step
and failed at 'bundle exec rake db:setup'
on mac my local dev machine
WebNome
@webnomehost_twitter
Jan 22 02:02
i was wondering too, scatterp version is fully ready to deply and run an exchange ? I'm looking for a developer to help me deploy on my server
rubykube's fork worked fine when i followed that same mac setup
the only difference is i'm using RVM
scatterp2
@scatterp2
Jan 22 02:27
ok totally wrong
fresh install
do adduser deploy
usermod -a -G sudo deploy
close window
login again ubuntu 16.04
then wget install1.sh from my repo
source install1.sh
and your done
you may need to disable ipv6
add me for more help simon.m.day
Ricky Gu
@rickygu
Jan 22 02:31
my local dev is on mac
it seems like the problem i'm having is related to the deprecated factory_girl gem
rubykube's fork updated to factory_bot
Ricky Gu
@rickygu
Jan 22 02:53
ok i updated to factory_bot but still same problem
apparently factory_bot update is just a name change to be less sexist
zaidragie
@zaidragie
Jan 22 11:09
I'm getting this error
rake aborted!
Psych::SyntaxError: (): did not find expected key while parsing a block mapping at line 6 column 3
/home/zaid/peatio/config/application.rb:15:in module:Peatio' /home/zaid/peatio/config/application.rb:14:in<top (required)>'
/home/zaid/peatio/Rakefile:5:in require' /home/zaid/peatio/Rakefile:5:in<top (required)>'
/home/zaid/.rbenv/versions/2.2.2/bin/bundle:23:in load' /home/zaid/.rbenv/versions/2.2.2/bin/bundle:23:in
zaidragie
@zaidragie
Jan 22 14:53
I'm getting this error
rake aborted!
Psych::SyntaxError: (): did not find expected key while parsing a block mapping at line 6 column 3
/home/zaid/peatio/config/application.rb:15:in module:Peatio' /home/zaid/peatio/config/application.rb:14:in<top (required)>'
/home/zaid/peatio/Rakefile:5:in require' /home/zaid/peatio/Rakefile:5:in<top (required)>'
/home/zaid/.rbenv/versions/2.2.2/bin/bundle:23:in load' /home/zaid/.rbenv/versions/2.2.2/bin/bundle:23:in
GH0STL1N3R
@GH0STL1N3R
Jan 22 16:47
@zaidragie could you please paste line 6 of your application.rb here?
Better, paste your whole application.rb here
zaidragie
@zaidragie
Jan 22 18:39

require File.expand_path('../boot', FILE)

Pick the frameworks you want:

require "active_record/railtie"
require "action_controller/railtie"
require "action_mailer/railtie"
require "sprockets/railtie"

require "rails/test_unit/railtie"

Require the gems listed in Gemfile, including any gems

you've limited to :test, :development, or :production.

Bundler.require(:default, Rails.env)

module Peatio
class Application < Rails::Application

# Settings in config/environments/* take precedence over those specified here.
# Application configuration should go into files in config/initializers
# -- all .rb files in that directory are automatically loaded.

# Set Time.zone default to the specified zone and make Active Record auto-convert to this zone.
# Run "rake -D time" for a list of tasks for finding time zone names. Default is UTC.
# config.time_zone = 'Central Time (US & Canada)'

config.i18n.enforce_available_locales = false

# The default locale is :en and all translations from config/locales/*.rb,yml are auto loaded.
config.i18n.load_path += Dir[Rails.root.join('config', 'locales', 'custom', '*.{yml}')]
config.i18n.available_locales = ['en', 'zh-CN', 'ko']

config.autoload_paths += %W(#{config.root}/lib #{config.root}/lib/extras)

#config.assets.precompile += ['bootstrap-datetimepicker.css']
config.assets.initialize_on_precompile = true

# Precompile all available locales
Dir.glob("#{config.root}/app/assets/javascripts/locales/*.js.erb").each do |file|
  config.assets.precompile << "locales/#{file.match(/([a-z\-A-Z]+\.js)\.erb$/)[1]}"
end

config.generators do |g|
  g.orm             :active_record
  g.template_engine :erb
  g.stylesheets     false
end

# Observer configuration
config.active_record.observers = :transfer_observer

end
end